Jump to content

Photo

Swami Control Crashes with EFL 1.19.1


Best Answer Jeff, 17 June 2017 - 07:00 PM

Please perform your system updates (or at least update swami). Fix should be in the repo now. 

Go to the full post


  • Please log in to reply
32 replies to this topic

#21 ylee

ylee

    King of the Software Page

  • Moderators
  • 1543 posts
  • LocationSouth Carolina, USA

Posted 16 June 2017 - 09:43 PM

BeGo, something is seriously wrong with your install. Hmm

 

try:

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install --reinstall efl
sudo apt-get install --reinstall python-efl

Now can you open elementary_config?


"No technology can ever be too arcane or complicated for the black t-shirt crowd."




A big thank you to everyone who contributes to Bodhi Linux


#22 Charles@Bodhi

Charles@Bodhi

    Old Faithful

  • Moderators
  • 4420 posts
  • LocationZeist, The Netherlands

Posted 16 June 2017 - 09:49 PM

Please use dist-upgrade in those commands. It works for a more complete result by adding new packages for which upgrade has no permissions.

 

Enjoy,

Charles


Medion S4216 Ultrabook, 4GB RAM, 1TB HDD, WIN 10 & Bodhi 4.1.0-64 

Asus eeepc 901, 1GB RAM, 12 GB SSD, Bodhi 3.0.0-32-Legacy & Bodhi 4.1.0-32 Legacy


#23 BeGo

BeGo

    Member

  • Members
  • 127 posts
  • LocationBogor, Indonesia

Posted 16 June 2017 - 09:58 PM

BeGo, something is seriously wrong with your install. Hmm

 

try:

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install --reinstall efl
sudo apt-get install --reinstall python-efl

Now can you open elementary_config?

 

Err, I put [POST UNFINISHED] there because I am still testing Your solution, sorry Ylee. :)

 

I can open the elementary_config set the icon and theme config. :)

 

Then i run swami again from terminology, and it hold soo long, before stop with these. I thought may it need a restart, so I put the tag for updating it later if anything changed. :)

 

renan@renan-hp14-bodhi4-64:~$ swami
Traceback (most recent call last):
  File "/usr/bin/swami", line 177, in <module>
  File "/usr/bin/swami", line 74, in __init__
  File "/usr/bin/swami", line 130, in loadModules
AttributeError: 'module' object has no attribute 'SwamiModule'

 

[AFTER UPDATE]

 

the error persist.

 

renan@renan-hp14-bodhi4-64:~$ rm -rf .elementary

renan@renan-hp14-bodhi4-64:~$ elementary_config
ERR<8754>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<8754>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<8754>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<8754>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<8754>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<8754>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<8754>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<8754>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<8754>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<8754>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<8754>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group elm/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding faulty part.
ERR<8754>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group elm/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding faulty part.
ERR<8754>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group elm/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding faulty part.
ERR<8754>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group elm/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding faulty part.
ERR<8754>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group elm/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding faulty part.

[when changing theme to arc dark]
ERR<8754>:elementary lib/elementary/els_cursor.c:734 elm_cursor_theme() Could not apply the theme to the cursor style=(null)

[when changing icon to papirus dark]
ERR<8754>:elementary lib/elementary/els_cursor.c:734 elm_cursor_theme() Could not apply the theme to the cursor style=(null)
[none] vs [none]

renan@renan-hp14-bodhi4-64:~$ swami
Traceback (most recent call last):
  File "/usr/bin/swami", line 177, in <module>
  File "/usr/bin/swami", line 74, in __init__
  File "/usr/bin/swami", line 130, in loadModules
AttributeError: 'module' object has no attribute 'SwamiModule'
renan@renan-hp14-bodhi4-64:~$


 



#24 ylee

ylee

    King of the Software Page

  • Moderators
  • 1543 posts
  • LocationSouth Carolina, USA

Posted 16 June 2017 - 10:11 PM

Please use dist-upgrade in those commands. It works for a more complete result by adding new packages for which upgrade has no permissions.

 

Enjoy,

Charles

 

That is true Charles in that dist-upgrade will bring in some stuff upgrade will not. Lately I haven't saw enough of a difference in packages to matter, the ones dist-upgrade might possibly bring in are mostly irrelevant to the issue at hand. I almost always use a plain upgrade myself. dist-upgrade on rare occasions when I want what it will bring in and it is more than just a couple of packages. If it is only one package or so then I will use apt-get install.

 

I probably have 50 or more snapshots of bodhi 1.x to bodhi 4.2 on several VMs as well as other debian based VMs with or without e or moksha all in various states of needing updated. Some snapshots up to date some old as the hills. We all probably have different ways of using Bodhi apt and so on. A large number of people (Ubuntu crowd) would say never use apt always use aptitude for example. And I understand the value of aptitude once fixed an issue apt was unable to fix using it and any other way of fixing seemed like a days work or more.

 

But regardless I will take your advice and try to remember in the future for those I advise. 


"No technology can ever be too arcane or complicated for the black t-shirt crowd."


#25 ylee

ylee

    King of the Software Page

  • Moderators
  • 1543 posts
  • LocationSouth Carolina, USA

Posted 16 June 2017 - 10:12 PM

Err, I put [POST UNFINISHED] there because I am still testing Your solution, sorry Ylee. :)

 

I can open the elementary_config set the icon and theme config. :)

 

Then i run swami again from terminology, and it hold soo long, before stop with these. I thought may it need a restart, so I put the tag for updating it later if anything changed. :)

 

renan@renan-hp14-bodhi4-64:~$ swami
Traceback (most recent call last):
  File "/usr/bin/swami", line 177, in <module>
  File "/usr/bin/swami", line 74, in __init__
  File "/usr/bin/swami", line 130, in loadModules
AttributeError: 'module' object has no attribute 'SwamiModule'

 

[I'll try to update with line in quote, and shall update this post]
 

 

 

Swami also needs reinstalled :( May I ask what happened to your install? What version of Bodhi is or was this originally?


"No technology can ever be too arcane or complicated for the black t-shirt crowd."


#26 BeGo

BeGo

    Member

  • Members
  • 127 posts
  • LocationBogor, Indonesia

Posted 16 June 2017 - 10:26 PM

Swami also needs reinstalled :( May I ask what happened to your install? What version of Bodhi is or was this originally?

 

If my memory did not fail me,

 

Either Bodhi 4.0 or Bodhi 4.1, the first one with b4main,  that keep updated till now, with multiple Qt based DE and apps installed. 

 

I'll update my Swami and report later. :)

 

[AFTER Swami update]

 

No, the error still persist, sorry. :(

 

 

note.

 

For update, I dependent on Synaptic. ;)



#27 ylee

ylee

    King of the Software Page

  • Moderators
  • 1543 posts
  • LocationSouth Carolina, USA

Posted 16 June 2017 - 10:50 PM

I don't know to tell you BeGo, the errors you are getting imply your install is broken. I am unsure what all is broken, but unless you know I would recommend a reinstall.

 

Also for the record multiple DEs installed can lead to problems, probably unrelated to this issue. But you need to know what you are doing and how it all fits in together to be doing such a thing. I speak from experience there as I used to use multiple DEs all in one install. I don't anymore for the most part and I don't for a reason. I have no great fondness of debugging issues despite my role here on these forums.

 

Another point are you using any PPAs or have you compiled code from source on this machine? Just wondering what broke stuff so badly :(


"No technology can ever be too arcane or complicated for the black t-shirt crowd."


#28 Jeff

Jeff

    Lead Developer

  • Developer
  • 12402 posts
  • LocationBloomington, IL

Posted 17 June 2017 - 07:00 PM   Best Answer

Please perform your system updates (or at least update swami). Fix should be in the repo now. 



#29 ylee

ylee

    King of the Software Page

  • Moderators
  • 1543 posts
  • LocationSouth Carolina, USA

Posted 17 June 2017 - 08:58 PM

Please perform your system updates (or at least update swami). Fix should be in the repo now. 

 

It should be noted the fix I found, included in the updated Swami Jeff just added to the repos, should work regardless of elementary_config settings and make the solution posted above unnecessary. 


"No technology can ever be too arcane or complicated for the black t-shirt crowd."


#30 BeGo

BeGo

    Member

  • Members
  • 127 posts
  • LocationBogor, Indonesia

Posted 18 June 2017 - 05:04 AM

I don't know to tell you BeGo, the errors you are getting imply your install is broken. I am unsure what all is broken, but unless you know I would recommend a reinstall.

 

Also for the record multiple DEs installed can lead to problems, probably unrelated to this issue. But you need to know what you are doing and how it all fits in together to be doing such a thing. I speak from experience there as I used to use multiple DEs all in one install. I don't anymore for the most part and I don't for a reason. I have no great fondness of debugging issues despite my role here on these forums.

 

Another point are you using any PPAs or have you compiled code from source on this machine? Just wondering what broke stuff so badly :(

 

Well, can't be helped.

 

The reason why I use Linux in the fist place is, to be able to endlessly modify my own laptop OS (which also means getting shot in the foot several times). 

 

Forgive me. :D  :D  :D 

 

I use several PPA,

 

alexlarsson/flatpak #
budgie-remix/ppa #
hsoft/ppa #
jd-team/jdownloader #
marutter/c2d4u #
morphis/anbox-support #
musicbrainz-developers/stable #
nextcloud-devs/client #
nilarimogard/webupd8 #
noobslab/icons #
noobslab/icons2 #
noobslab/themes #
opencpu/rstudio #
papirus/arc-kde #
papirus/papirus #
peterlevi/ppa #
ppsspp/stable #
samoilov-lex/lumina-desktop #
smathot/cogscinl #
teejee2008/ppa #
ubuntu-sdk-team/ppa #
wfg/0ad #

 

And yes, I am a still in learning developer, mostly develop solutions using Qt, which means I compile tons of codes regularly. :)

 

Please perform your system updates (or at least update swami). Fix should be in the repo now. 

 

I just did, and retry the procedure. Still not working though

 

renan@renan-hp14-bodhi4-64:~$ rm -rf .elementary
renan@renan-hp14-bodhi4-64:~$ elementary_config
ERR<4850>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<4850>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<4850>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<4850>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<4850>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<4850>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<4850>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<4850>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group el
m/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding fault
y part.
ERR<4850>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group elm/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding faulty part.
ERR<4850>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group elm/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding faulty part.
ERR<4850>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group elm/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding faulty part.
ERR<4850>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group elm/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding faulty part.
ERR<4850>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group elm/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding faulty part.
ERR<4850>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group elm/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding faulty part.
ERR<4850>:edje lib/edje/edje_util.c:3968 _edje_object_size_min_restricted_calc() file /usr/share/elementary/themes/default.edj, group elm/toolbar/item/default has a non-fixed part 'elm.swallow.icon'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding faulty part.
ERR<4850>:elementary lib/elementary/els_cursor.c:734 elm_cursor_theme() Could not apply the theme to the cursor style=(null)
ERR<4850>:elementary lib/elementary/els_cursor.c:734 elm_cursor_theme() Could not apply the theme to the cursor style=(null)
[none] vs [none]
ERR<4850>:efreet_cache lib/efreet/efreet_cache.c:379 efreet_cache_shutdown() This application has not properly closed all its desktop references!
renan@renan-hp14-bodhi4-64:~$ elementary_config
[none] vs [none]
renan@renan-hp14-bodhi4-64:~$ swami
Traceback (most recent call last):
  File "/usr/bin/swami", line 177, in <module>
  File "/usr/bin/swami", line 74, in __init__
  File "/usr/bin/swami", line 130, in loadModules
AttributeError: 'module' object has no attribute 'SwamiModule'
renan@renan-hp14-bodhi4-64:~$

 

I also check the Swami, in Virtual box, creating system mimicking my own, plain Bodhi 4.1.0 that updated with all inside b4main, checkinstall, and unknown, except e21 and component that would uninstall Bodhi desktop. :)

 

Swami run (may be) normally, with lightdm, date and time, keyboard layout, and startup apps showing.

 

OK, my time for re install. ;)

 

Anyway, thanks for You help, Jeff, Ylee,  Charles, and teams!

 

 



#31 birdmun

birdmun

    Member

  • Members
  • 283 posts
  • LocationWabash, IN

Posted 18 June 2017 - 08:04 AM

Rather than reinstalling, what would happen if you got rid of all the DEs you don't absolutely need for the moment? The PPAs 'might' be tripping you up as has been mentioned before.



#32 BeGo

BeGo

    Member

  • Members
  • 127 posts
  • LocationBogor, Indonesia

Posted 19 June 2017 - 02:27 AM

Rather than reinstalling, what would happen if you got rid of all the DEs you don't absolutely need for the moment? The PPAs 'might' be tripping you up as has been mentioned before.

 

Yes, but

- It would take 1 or 2 days, not when high tide of work. :)

- And even then, recover all of them on new instance using Aptik is a lot faster. ;)



#33 ylee

ylee

    King of the Software Page

  • Moderators
  • 1543 posts
  • LocationSouth Carolina, USA

Posted 19 June 2017 - 10:48 AM

Just a note that the real underlying cause of this error people were getting has supposedly been fixed in python-efl,  Elementary: Add import to efl.edje. While I haven't tested this fix nor have we updated python-efl with this patch, in theory it should work. Of course the recent version of swami already address this error so this information is only useful to programmers here that use python-efl.

 

Anyways much thanks to kuuko for doing this for us  :)


"No technology can ever be too arcane or complicated for the black t-shirt crowd."





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users